# Type alias CoordinatesTransformOptions

CoordinatesTransformOptions: {
apiKey?: string;
operations?: number | number[];
sourceCrs?: number;
targetCrs?: number;
}

Options that can be provided when transforming a coordinate from one CRS to another.

#### Type declaration

- ##### `Optional` apiKey?: string

  Custom MapTiler Cloud API key to use instead of the one in global `config`

- ##### `Optional` operations?: number | number[]

  List of codes of operations

- ##### `Optional` sourceCrs?: number

  Source coordinate reference system (default: 4326)

- ##### `Optional` targetCrs?: number

  Target coordinate reference system (default: 4326)

- Defined in services/coordinates.ts:174

Generated using TypeDoc